Bug 990740 - [abrt] WARNING: at fs/sysfs/dir.c:530 sysfs_add_one+0xa5/0xd0()
[abrt] WARNING: at fs/sysfs/dir.c:530 sysfs_add_one+0xa5/0xd0()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:403798763acc442091f3fd720c3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 17:36 EDT by j
Modified: 2013-10-08 12:35 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-08 12:35:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (67.51 KB, text/plain)
2013-07-31 17:36 EDT, j
no flags Details

  None (edit)
Description j 2013-07-31 17:36:51 EDT
Description of problem:
Installed and fully updated with standard repos Fedora 19 x64

Additional info:
reporter:       libreport-2.1.5
WARNING: at fs/sysfs/dir.c:530 sysfs_add_one+0xa5/0xd0()
sysfs: cannot create duplicate filename '/devices/platform/sony-laptop/kbd_backlight'
Modules linked in: snd_pcm cfg80211 tpm_tis(+) mii tpm_infineon snd_page_alloc snd_timer sony_laptop(+) tpm snd tpm_bios lpc_ich i2c_i801 soundcore rfkill mfd_core uinput radeon i915 ttm i2c_algo_bit drm_kms_helper drm i2c_core video
CPU: 2 PID: 251 Comm: systemd-udevd Not tainted 3.10.3-300.fc19.x86_64 #1
Hardware name: Sony Corporation VPCSA4C5E/VAIO, BIOS R2086H4 11/23/2011
 0000000000000009 ffff880251667a28 ffffffff81643216 ffff880251667a60
 ffffffff8105c211 00000000ffffffef ffff88024c717a10 ffff880251667b08
 ffff880254272000 00000000000001a4 ffff880251667ac0 ffffffff8105c27c
Call Trace:
 [<ffffffff81643216>] dump_stack+0x19/0x1b
 [<ffffffff8105c211>] warn_slowpath_common+0x61/0x80
 [<ffffffff8105c27c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff8120a665>] sysfs_add_one+0xa5/0xd0
 [<ffffffff81209877>] sysfs_add_file_mode+0x97/0xe0
 [<ffffffff812098ea>] sysfs_create_file+0x2a/0x30
 [<ffffffff813d6a8d>] device_create_file+0x3d/0xa0
 [<ffffffffa0241622>] sony_nc_add+0xd42/0x10e8 [sony_laptop]
 [<ffffffff8120b305>] ? sysfs_do_create_link_sd+0xd5/0x210
 [<ffffffff8134cfdb>] acpi_device_probe+0x4e/0xfe
 [<ffffffff813db617>] driver_probe_device+0x87/0x390
 [<ffffffff813db9f3>] __driver_attach+0x93/0xa0
 [<ffffffff813db960>] ? __device_attach+0x40/0x40
 [<ffffffff813d9603>] bus_for_each_dev+0x63/0xa0
 [<ffffffff813db08e>] driver_attach+0x1e/0x20
 [<ffffffff813dac28>] bus_add_driver+0x1e8/0x2a0
 [<ffffffffa00b9000>] ? 0xffffffffa00b8fff
 [<ffffffff813dc031>] driver_register+0x71/0x150
 [<ffffffffa00b9000>] ? 0xffffffffa00b8fff
 [<ffffffff8134d545>] acpi_bus_register_driver+0x3b/0x43
 [<ffffffffa00b905a>] sony_laptop_init+0x5a/0x1000 [sony_laptop]
 [<ffffffff810020e2>] do_one_initcall+0xe2/0x190
 [<ffffffff810bf825>] load_module+0x1bb5/0x2650
 [<ffffffff81305550>] ? ddebug_proc_write+0xf0/0xf0
 [<ffffffff810c0456>] SyS_finit_module+0x86/0xb0
 [<ffffffff81651819>] system_call_fastpath+0x16/0x1b
Comment 1 j 2013-07-31 17:36:59 EDT
Created attachment 781376 [details]
File: dmesg
Comment 2 Josh Boyer 2013-09-18 16:34:33 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 3 Josh Boyer 2013-10-08 12:35:34 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.